Bug 224391 - Deprecate and remove most of _WKUserContentFilter
Summary: Deprecate and remove most of _WKUserContentFilter
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alex Christensen
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-04-09 14:24 PDT by Alex Christensen
Modified: 2021-05-17 18:34 PDT (History)
2 users (show)

See Also:


Attachments
Patch (56.02 KB, patch)
2021-04-09 14:27 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (56.04 KB, patch)
2021-04-09 21:46 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (64.11 KB, patch)
2021-05-17 13:25 PDT, Alex Christensen
ews-feeder: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Christensen 2021-04-09 14:24:05 PDT
Deprecate and remove most of _WKUserContentFilter
Comment 1 Alex Christensen 2021-04-09 14:27:33 PDT
Created attachment 425654 [details]
Patch
Comment 2 Alex Christensen 2021-04-09 21:46:21 PDT
Created attachment 425677 [details]
Patch
Comment 3 Darin Adler 2021-04-10 11:59:57 PDT
Comment on attachment 425677 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=425677&action=review

There seems to be an InstallAPI issue with the classes that are removed on iOS that needs to be addressed somehow. r=me assuming that’s worked out

> Source/WebKit/UIProcess/API/Cocoa/_WKUserContentFilter.mm:31
> +IGNORE_WARNINGS_BEGIN("deprecated-implementations")

Kind of surprised we don’t have a separate named macro for this one.

> Source/WebKit/UIProcess/API/Cocoa/_WKUserContentFilter.mm:35
> +- (id)_initWithWKContentRuleList:(WKContentRuleList *)contentRuleList

Not sure exactly how stubby to leave these stub classes. Could imagine also overriding init to return nil like this.

> Source/WebKit/UIProcess/API/Cocoa/_WKUserContentFilter.mm:37
> +    return nil;

We ought to release or dealloc self before returning nil.
Comment 4 Radar WebKit Bug Importer 2021-04-16 14:25:15 PDT
<rdar://problem/76778414>
Comment 5 Alex Christensen 2021-05-17 13:15:04 PDT
Comment on attachment 425677 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=425677&action=review

> Source/WebKit/ChangeLog:8
> +        I removed its use in rdar://75889414 so we can remove most of it, but we still need a class with that name to launch SafariForWebKitDevelopment.

SafariForWebKitDevelopment is already so broken from other things I can't test how much I need to leave, so I'm just going to remove all of it.
Comment 6 Alex Christensen 2021-05-17 13:25:08 PDT
Created attachment 428858 [details]
Patch
Comment 7 EWS 2021-05-17 14:14:05 PDT
Committed r277605 (237822@main): <https://commits.webkit.org/237822@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 428858 [details].
Comment 8 Alex Christensen 2021-05-17 17:29:51 PDT
This seems to have caused iOS test failures.  Investigating...
Comment 9 Alex Christensen 2021-05-17 18:34:22 PDT
Very strange.  All our test infrastructure doesn't seem to start any more after this change.
Reverted in r277627